%define module_name	cdfs
%define module_release	alt5.1
%define module_version	2.6.3

%define kversion	2.4.29
%define krelease	alt1
%define flavour		wks-smp

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/block/

Summary:	Linux CDFS module
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	GPL
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

Patch1: cdfs-2.6.3-alt-get_seconds.patch

ExclusiveOS:	Linux
URL:		http://www.elis.ugent.be/~ronsse/cdfs/
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
CDfs module for Linux kernel. CDfs is a file system that `exports' all
tracks and boot images on a CD as normal files.

%prep

%__rm -rf kernel-source-%module_name-%module_version

%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version
%patch1 -p1

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make TEMP_DIR=`pwd` -C %_usrsrc/linux-%kversion-%flavour/ V=1 modules SUBDIRS=`pwd`

%install
%__mkdir -p \
    $RPM_BUILD_ROOT/%module_dir
%if "%kversion" <= "2.6.0"
    %__cp -a %module_name.o $RPM_BUILD_ROOT/%module_dir
%else
    %__cp -a *.ko $RPM_BUILD_ROOT/%module_dir
%endif

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 2.6.3-alt5.1
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2.6.3-alt4.1
- Rebuild for kernel 2.4.27.
- Fixed unresolved symbols problem for 2.4.x kernels (Bug #4830).

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2.6.3-alt3.1
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Fri May 21 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.6.3-alt2.1
- Fixed buildrequires (kernel-source-cdfs = %version insted of kernel-source-cdfs-%version)

* Sat May 08 2004 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.3-alt1.1
- initial build
